#ifndef	MACHDEP_H
#define	MACHDEP_H 1

  /*\
   *  $Header: machdep.h,v 5.1 90/01/11 17:32:57 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

  /*\
   * This has only been tested (recently) for VAXen and MIPSEL.
   * Any other definitions in this file are a best-shot, and provided
   * as a convenience.  We'd appreciate it if you could send us mail
   * to give us correct values for any of these.
  \*/

#define	mdLSBFirst	0
#define	mdMSBFirst	1

#if (defined vax)||(defined i386)

#define	mdByteOrder	mdLSBFirst
#define	mdBitOrder	mdLSBFirst
#define	mdIntSize	32
#define	mdHasAlloca	1

#define	MACHINE_KNOWN
#endif

#if (defined MIPSEL)||(defined sun)||(defined ibm032)||(defined apollo)

#define	mdByteOrder	mdLSBFirst
#define	mdBitOrder	mdLSBFirst
#define	mdIntSize	32
#define	mdHasAlloca	1

#define	MACHINE_KNOWN
#endif

#ifndef MACHINE_KNOWN
ERROR -- define your machine!!
#endif /* MACHINE_KNOWN */

typedef	char		mdINT8;
typedef unsigned char	mdCARD8;

#if mdIntSize == 32
typedef	short		mdINT16;
typedef	unsigned short	mdCARD16;
typedef	int		mdINT32;
typedef	unsigned int	mdCARD32;
#elif mdIntSize == 16
typedef	int		mdINT16;
typedef	unsigned int	mdCARD16;
typedef	long		mdINT32;
typedef	unsigned long	mdCARD32;
#else
ERROR -- weird integer size
#endif /* mdIntSize */

#endif /* MACHDEP_H */
