#ifndef STRTBL_H
#define	STRTBL_H 1

  /*\
   *  $Header: strtbl.h,v 5.0 90/01/10 06:51:27 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

typedef	unsigned long StringToken;

#define	NullStringToken	((StringToken)0)

extern	char		*stText(/* token */);
extern	Boolean		 stInit(/* nStr, avgSize, needPriv, privDflt */);
extern	void		 stClose();

extern	StringToken	 stGetToken(/* str */);
extern	Boolean		 stGetTokenIfExists(/* str, pToken */);

extern	char		*stGetString(/* token */);
extern	Boolean		 stRemove(/* token */);

extern	Opaque		 stGetPriv(/* token */);
extern	Boolean		 stSetPrib(/* token, priv */);

extern	Comparison	_stCompare(/* token1, token2 */);

#define	stEqual(t1,t2)	((t1)==(t2))
#define	stCompare(t1,t2) \
	((((unsigned)(t1)&0xff000000)>(((unsigned)(t2)&0xff000000)))?Greater:\
	 ((((unsigned)(t1)&0xff000000)<(((unsigned)(t2)&0xff000000)))?Less:\
	 ((t1)==(t2)?Equal:_stCompare(t1,t2))))

#endif /* STRTBL_H */
