
  /*\
   *  $Header: xrGen.c,v 5.0 90/01/10 07:00:50 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

#define	DEBUG_VAR xrgenDebug
#include "utils.h"

#undef True
#undef False
#include "xrGen.h"

Atom ROOMS_CURRENT, ROOMS_ALL; 
Atom ROOMS_REQUEST, ROOMS_ARGUMENT, ROOMS_RETURN;

/***====================================================================***/

void
xrgenInit(dpy)
Display	*dpy;
{
    uENTRY1("xrgenInit(0x%x)\n",dpy);
    ROOMS_ALL=		XInternAtom(dpy, "_XROOMS_ALL", False );
    ROOMS_CURRENT=	XInternAtom(dpy, "_XROOMS_CURRENT", False );
    ROOMS_REQUEST=	XInternAtom(dpy, "_XROOMS_REQUESTS", False );
    ROOMS_ARGUMENT=	XInternAtom(dpy, "_XROOMS_ARGUMENT", False );
    ROOMS_RETURN=	XInternAtom(dpy, "_XROOMS_RETURN", False );
    uVOIDRETURN;
}

/***====================================================================***/

void
xrgenCleanUp(dpy,root)
Display	*dpy;
Window	 root;
{
    uENTRY2("xrgenCleanUp(0x%x,0x%x)\n",dpy,root);
    XDeleteProperty(dpy,root,ROOMS_ALL);
    XDeleteProperty(dpy,root,ROOMS_CURRENT);
    XDeleteProperty(dpy,root,ROOMS_REQUEST);
    XDeleteProperty(dpy,root,ROOMS_ARGUMENT);
    uVOIDRETURN;
}
