#ifndef XRUI_H
#define	XRUI_H 1

  /*\
   *  $Header: xrUI.h,v 5.1 90/01/10 19:06:11 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

extern	unsigned xruiDebug;
extern	char	*xruiDefaultRoom;
extern	Boolean	 xruiConfirmExit;

extern	void		xruiDoSave();
extern	void		xruiDoLoad();
extern	void		xruiDoCreateRoom();
extern	void		xruiDoDestroyRoom();
extern	void		xruiDoHideRoom();

extern	RoomPtr		xruiFindDefaultRoom();

extern	void		xruiInit();
extern	void		xruiBecomeVisible();

#ifdef XAW
#include "xrXawUI.h"
#endif
#ifdef DWT
#include "xrDwtUI.h"
#endif

#endif /* XRUI_H */
