#ifndef XRXAWUI_H
#define	XRXAWUI_H 1

  /*\
   *  $Header: xrXawUI.h,v 5.0 90/01/10 07:01:56 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

extern	Widget	 xruiTopLevel,xruiPopup,xruiMenu,xruiWinMenu;
extern	Widget	 xruiPromptWidget;
extern	Widget	 xruiPromptText;

extern  Widget	 xruiScrollW;

extern	unsigned  xawButtonWidth;
extern	unsigned  xawButtonCols;

#define	UI_ARGS \
	{"-btnwidth",		"buttonWidth",	XrmoptionSepArg, (caddr_t)0 },\
	{"-btncols",		"buttonCols",	XrmoptionSepArg, (caddr_t)0 },

#define	UI_FIELDS \
	unsigned	xawButtonWidth,xawButtonCols;

#define	UI_RESOURCES(t) \
	{ "buttonWidth", "Width", XtRInt, sizeof(int),\
	  XtOffset(t,xawButtonWidth), XtRImmediate, (caddr_t)0 },\
	{ "buttonCols", "ButtonCols", XtRInt, sizeof(int),\
	  XtOffset(t,xawButtonCols), XtRImmediate, (caddr_t)4 },

#define	UI_SETTINGS(s) \
	xawButtonWidth=	(s)->xawButtonWidth;\
	xawButtonCols=	(s)->xawButtonCols;

#endif /* XRXAWUI_H */
