#ifndef PROFILE_H
#define	PROFILE_H 1

  /*\
   *  $Header: profile.h,v 5.0 90/01/10 06:53:54 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

extern	unsigned	profileDebug;

typedef struct _CommentRec {
	char			*text;
	struct _CommentRec	*pNext;
} CommentRec,*CommentPtr;
#define	NullComment	((CommentPtr)NULL)

extern	void		profileSetResolve(/* pFunc */);
extern	void		profileSetChange(/* pFunc */);

extern	Boolean		profileForNames(/* name, pNames */);
extern	Boolean		profileGetName(/* osPriv, ppName, ppClass */);

extern	Boolean		profileForRoom(/* pRoom */);
extern	Boolean		profileForApp(/* pApp */);
extern	Boolean		profileAddComment(/* comment */);
extern	CommentPtr	profileGetComments();

extern	Boolean		profileRead(/*pScan*/);
extern	Boolean		profileWrite(/*pFile, writeRooms*/);

extern	void		profileForNamesDestroy(/* name */);
extern	void		profileForAppDestroy(/* appName */);
extern	void		profileForRoomDestroy(/* roomName */);

#define	PROFILE_NAME_COL	13
#define	PROFILE_STATE_COL	40

#endif /* PROFILE_H */
