#ifndef PROFILESTR_H
#define	PROFILESTR_H 1

  /*\
   *  $Header: profilestr.h,v 5.0 90/01/10 06:53:57 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

#include	"strtbl.h"
#include	"profile.h"

typedef	struct	_ProfileRec {
	StringToken	name;
	CommentPtr	pComments;
} ProfileRec,*ProfilePtr; 
#define	NullProfile	((ProfilePtr)NULL)

typedef struct	_ProfilesRec {
	unsigned	sizeProfiles;
	unsigned	nProfiles;
	ProfilePtr	pProfiles;
} ProfilesRec,*ProfilesPtr;
#define	NullProfiles	((ProfilesPtr)NULL)

#endif /* PROFILESTR_H */
