#ifndef XRPROTOITER_H
#define	XRPROTOITER_H 1

  /*\
   *  $Header: xrProtoIter.h,v 5.0 90/01/10 07:01:29 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

extern	Boolean _xrpiInitAppStatesIter(/* pApp, pRoom, whichStates, pIState */);
extern	Boolean	_xrpiAppStatesIterNext(/* pIState, pApp, ppState */);
extern	void	xrpiEndAppStatesIterator(/* pApp, pIState */);
#define	xrpiAppStatesIterator(pa,pr,ws,ps,is)	\
	if (_xrpiInitAppStatesIter(pa,pr,ws,&is)) \
	    while (_xrpiAppStatesIterNext(is,pa,&(ps)))

extern	Boolean	_xrpiInitAppsIter(/* whichApps, pIState, nameOrId */);
extern	Boolean	_xrpiAppsIterNext(/* pIState, ppApp */);
extern	void	xrpiEndAppsIterator(/* pIState */);
#define	xrpiAppsIterator(ws,pa,NorId,is)	\
	if (_xrpiInitAppsIter(ws,NorId,&is)) \
	    while (_xrpiAppsIterNext(is,&(pa)))

extern	Boolean	_xrpiInitRoomsIter(/* whichRooms, pIState, name */);
extern	Boolean	_xrpiRoomsIterNext(/* pIState, ppRoom */);
extern	void	xrpiEndRoomsIterator(/* pIState */);
#define	xrpiRoomsIterator(ws,pr,nm,is)	\
	if (_xrpiInitRoomsIter(ws,nm,&is)) \
	    while (_xrpiRoomsIterNext(is,&(pr)))

#endif /* XRPROTOITER_H */
