#ifndef XRXUTILS_H
#define XRXUTILS_H 1

  /*\
   *  $Header: xrXUtils.h,v 5.0 90/01/10 07:01:46 erik Exp $
   *
   *		              COPYRIGHT 1990
   *		        DIGITAL EQUIPMENT CORPORATION
   *		           MAYNARD, MASSACHUSETTS
   *			    ALL RIGHTS RESERVED.
   *
   * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
   * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
   * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE 
   * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED 
   * WARRANTY.
   *
   * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
   * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
   * ADDITION TO THAT SET FORTH ABOVE.
   *
   * Permission to use, copy, modify, and distribute this software and its
   * documentation for any purpose and without fee is hereby granted, provided
   * that the above copyright notice appear in all copies and that both that
   * copyright notice and this permission notice appear in supporting
   * documentation, and that the name of Digital Equipment Corporation not be
   * used in advertising or publicity pertaining to distribution of the 
   * software without specific, written prior permission.
  \*/

extern	unsigned	xrXUtilsDebug;

Boolean	xruFindFakeRoot;
Boolean	xruFindFakeState;

extern	Boolean	xruGetChildren(/*window, children, nChildren*/);
extern	Window	xruGetParent(/*window*/);
extern	Window	xruWMRoot(/*dpy, root, xdw, xdh*/);
extern	Window	xruWMRootWindow(/*dpy, screen*/);
extern	Window	xruWMRootWindowOfScreen(/*scrn*/);
extern	Window	xruFindRoot();

extern	WinState	xruGetState(/*window,lookForName*/);
extern	Boolean		xruIsTransient(/* window */);
extern	Window 		xruFindClientWindowAbove(/*window, pState*/);
extern	Window 		xruFindClientWindow(/*window, pState*/);

extern	Boolean		xruGetPropertyString(/* dpy, window, name, ppRtrn */);
extern	int		xruIgnoreErrors(/*dpy, event*/);

#endif /* XRXUTILS_H */
